GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - a -

- A : geos::geom::Dimension
- AbstractSTRtree() : geos::index::strtree::AbstractSTRtree
- add() : geos::algorithm::CentroidArea , geos::geom::CoordinateArraySequence , geos::geomgraph::EdgeList , geos::planargraph::DirectedEdgeStar , geos::planargraph::NodeMap , geos::index::quadtree::NodeBase , geos::planargraph::PlanarGraph , geos::geom::CoordinateSequence , geos::linearref::LinearGeometryBuilder , geos::planargraph::PlanarGraph , geos::planargraph::Subgraph , geos::linearref::LinearGeometryBuilder , geos::precision::CommonBitsRemover , geos::algorithm::CentroidArea , geos::geom::CoordinateSequence , geos::noding::SegmentNodeList , geos::operation::linemerge::EdgeString , geos::geom::CoordinateSequence , geos::operation::linemerge::LineMerger , geos::operation::valid::IndexedNestedRingTester , geos::geom::CoordinateArraySequence , geos::geom::CoordinateSequence , geos::operation::linemerge::LineSequencer , geos::operation::overlay::PolygonBuilder , geos::geom::CoordinateSequence , geos::operation::overlay::PolygonBuilder , geos::operation::polygonize::EdgeRing , geos::geom::CoordinateArraySequence , geos::geom::GeometryList , geos::operation::polygonize::Polygonizer , geos::geom::IntersectionMatrix , geos::operation::polygonize::Polygonizer
- addAllItems() : geos::index::quadtree::NodeBase
- addCommonBits() : geos::precision::CommonBitsRemover
- addCurves() : geos::operation::buffer::OffsetCurveSetBuilder
- addEdge() : geos::operation::linemerge::LineMergeGraph , geos::operation::polygonize::PolygonizeGraph
- addEdges() : geos::geomgraph::PlanarGraph
- addEndpoints() : geos::noding::SegmentNodeList
- addFirstSegment() : geos::operation::buffer::OffsetSegmentGenerator
- addHole() : geos::operation::polygonize::EdgeRing
- addIntersection() : geos::noding::NodedSegmentString
- addIntersectionNode() : geos::noding::NodedSegmentString
- addIntersections() : geos::noding::NodedSegmentString
- addLastSegment() : geos::operation::buffer::OffsetSegmentGenerator
- addLineEndCap() : geos::operation::buffer::OffsetSegmentGenerator
- addOutEdge() : geos::planargraph::Node
- addPolygon() : geos::algorithm::InteriorPointArea
- addSnappedNode() : geos::noding::snapround::HotPixel
- addSplitEdges() : geos::noding::SegmentNodeList , geos::geomgraph::EdgeIntersectionList
- angle() : geos::algorithm::Angle , geos::geom::LineSegment , geos::algorithm::Angle
- angleBetween() : geos::algorithm::Angle
- angleBetweenOriented() : geos::algorithm::Angle
- apply_ro() : geos::geom::Polygon , geos::geom::Geometry , geos::geom::GeometryCollection , geos::geom::LineString , geos::geom::Point
- apply_rw() : geos::geom::Point , geos::geom::GeometryCollection , geos::geom::LineString , geos::geom::Polygon , geos::geom::Geometry
- applyComponentFilter() : geos::geom::Geometry
- applyCoordinateFilter() : geos::geom::CoordinateSequence
- arg : geos::operation::GeometryGraphOperation
- atLeastNCoordinatesOrNothing() : geos::geom::CoordinateSequence
- AutoPtr : geos::geom::GeometryList , geos::geom::Geometry